Subject: Re: What's cooking in git.git (Aug 2021, #02; Tue, 3)

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Aug 2021 10:57:19 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/test-columns (2021-08-02) 3 commits
>>  - test-lib.sh: use GIT_TEST_COLUMNS over COLUMNS
>>  - test-lib-functions.sh: add a test_with_columns function
>>  - test-lib-functions.sh: rename test_must_fail_acceptable()
>
> We're going to need this or another solution to the v2.33.0-rc0
> regression in c49a177beca (test-lib.sh: set COLUMNS=80 for --verbose
> repeatability, 2021-06-29) before the final v2.33.0.

Yeah, this is ugly but not so ugly as the original version ;-)
Thanks for prodding.

>> * ab/lib-subtest (2021-07-21) 10 commits
>> * ab/only-single-progress-at-once (2021-07-23) 8 commits
>
> Thanks, it would be great to have both of these move soon after the
> release. I think the chances of unexpected breakage here are minimal
> given their nature.

Have they seen enough eyeballs already to gain support?

>> * ab/progress-users-adjust-counters (2021-07-23) 3 commits
> ...
> I think that what SZEDER had to say in
> https://lore.kernel.org/git/[email-masked]/ should be
> enough to clear this to proceed forward.

OK, thanks.

>> * ab/make-tags-cleanup (2021-07-22) 5 commits
> ...
>     As long as we have no user of a -q flag ever, what's the point of
>     forever carrying the "rm foo*" when we know it's foo.out, just
>     because a future Makefile change might add foo.blah?

That is not a forward-looking thinking.  A cheap and easy way to
future-proof was suggested by a reviewer.  Why ignore repeated
suggestions?

>> * ab/serve-cleanup (2021-08-03) 13 commits
>>  - fixup! {upload,receive}-pack tests: add --advertise-refs tests
>>  - serve.[ch]: don't pass "struct strvec *keys" to commands
>>  - upload-pack.c: convert to new serve.c "startup" config cb
>>  - upload-pack: document and rename --advertise-refs
>>  - {upload,receive}-pack tests: add --advertise-refs tests
>>  - serve.[ch]: remove "serve_options", split up --advertise-refs code
>>  - serve.c: move version line to advertise_capabilities()
>>  - serve: add support for a "startup" git_config() callback
>>  - serve.c: add call_{advertise,command}() indirection
>>  - serve: use designated initializers
>>  - transport: use designated initializers
>>  - transport: rename "fetch" in transport_vtable to "fetch_refs"
>>  - serve: mark has_capability() as static
>>
>>  Code clean-up around "git serve".
>
> It seems the reception to the "config callback" part of this was rather
> lukewarm. I'll re-roll to eject those changes and see if it's better
> received.

I'll eject this topic and other "will reroll" topics until the
final, with the hope to restart post release, then.  Our focus ought
to be to stabilize the upcoming release and having more topics or
topics that won't be near 'next' updated adds to distraction.

Thanks.